Package org.apache.commons.math3.exception.util

# Class ExceptionContext

java.lang.Object
org.apache.commons.math3.exception.util.ExceptionContext

All Implemented Interfaces:
  `Serializable`

public class ExceptionContext extends Object implements Serializable
Class that contains the actual implementation of the functionality mandated by the `ExceptionContext` interface. All Commons Math exceptions delegate the interface's methods to this class.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExceptionContext(Throwable throwable)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addMessage(Localizable pattern, Object... arguments)`
Adds a message.
`Set<String>`
`getKeys()`
Gets all the keys stored in the exception
`String`
`getLocalizedMessage()`
Gets the message in the default locale.
`String`
`getMessage()`
Gets the default message.
`String`
`getMessage(Locale locale)`
Gets the message in a specified locale.
`String`
`getMessage(Locale locale, String separator)`
Gets the message in a specified locale.
`Throwable`
`getThrowable()`
Get a reference to the exception to which the context relates.
`Object`
`getValue(String key)`
Gets the value associated to the given context key.
`void`
`setValue(String key, Object value)`
Sets the context (key, value) pair.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionContext

public ExceptionContext(Throwable throwable)
Simple constructor.

Parameters:
  `throwable` - the exception this context refers too

## Method Details

### getThrowable

public Throwable getThrowable()
Get a reference to the exception to which the context relates.

Returns:
  a reference to the exception to which the context relates

### addMessage

public void addMessage(Localizable pattern, Object... arguments)
Adds a message.

Parameters:
  `pattern` - Message pattern.
  `arguments` - Values for replacing the placeholders in the message pattern.

### setValue

public void setValue(String key, Object value)
Sets the context (key, value) pair. Keys are assumed to be unique within an instance. If the same key is assigned a new value, the previous one will be lost.

Parameters:
  `key` - Context key (not null).
  `value` - Context value.

### getValue

public Object getValue(String key)
Gets the value associated to the given context key.

Parameters:
  `key` - Context key.
Returns:
  the context value or `null` if the key does not exist.

### getKeys

public Set<String> getKeys()
Gets all the keys stored in the exception

Returns:
  the set of keys.

### getMessage

public String getMessage()
Gets the default message.

Returns:
  the message.

### getLocalizedMessage

public String getLocalizedMessage()
Gets the message in the default locale.

Returns:
  the localized message.

### getMessage

public String getMessage(Locale locale)
Gets the message in a specified locale.

Parameters:
  `locale` - Locale in which the message should be translated.
Returns:
  the localized message.

### getMessage

public String getMessage(Locale locale, String separator)
Gets the message in a specified locale.

Parameters:
  `locale` - Locale in which the message should be translated.
  `separator` - Separator inserted between the message parts.
Returns:
  the localized message.